Package com.independentsoft.office.drawing

# Class EastAsianFont

java.lang.Object
com.independentsoft.office.drawing.EastAsianFont

public class EastAsianFont extends Object
The Class EastAsianFont.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EastAsianFont()`
  Instantiates a new east asian font.
  `EastAsianFont​(InternalXMLStreamReader reader)`
  Instantiates a new east asian font.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EastAsianFont`
  `clone()`
  `String`
  `getPanose()`
  Gets the panose.
  `int`
  `getSimilarCharacterSet()`
  Gets the similar character set.
  `int`
  `getSimilarFontFamily()`
  Gets the similar font family.
  `String`
  `getTypeface()`
  Gets the typeface.
  `void`
  `setPanose​(String panose)`
  Sets the panose.
  `void`
  `setSimilarCharacterSet​(int similarCharacterSet)`
  Sets the similar character set.
  `void`
  `setSimilarFontFamily​(int similarFontFamily)`
  Sets the similar font family.
  `void`
  `setTypeface​(String typeface)`
  Sets the typeface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EastAsianFont

    public EastAsianFont()
    Instantiates a new east asian font.

  - ### EastAsianFont

    public EastAsianFont​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new east asian font.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public EastAsianFont clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSimilarCharacterSet

    public int getSimilarCharacterSet()
    Gets the similar character set.
    Returns:
      the similar character set

  - ### setSimilarCharacterSet

    public void setSimilarCharacterSet​(int similarCharacterSet)
    Sets the similar character set.
    Parameters:
      `similarCharacterSet` - the new similar character set

  - ### getPanose

    public String getPanose()
    Gets the panose.
    Returns:
      the panose

  - ### setPanose

    public void setPanose​(String panose)
    Sets the panose.
    Parameters:
      `panose` - the new panose

  - ### getSimilarFontFamily

    public int getSimilarFontFamily()
    Gets the similar font family.
    Returns:
      the similar font family

  - ### setSimilarFontFamily

    public void setSimilarFontFamily​(int similarFontFamily)
    Sets the similar font family.
    Parameters:
      `similarFontFamily` - the new similar font family

  - ### getTypeface

    public String getTypeface()
    Gets the typeface.
    Returns:
      the typeface

  - ### setTypeface

    public void setTypeface​(String typeface)
    Sets the typeface.
    Parameters:
      `typeface` - the new typeface